Intermitently getting Excon::Errors::SocketError when using riak ruby client

Scott Gonyea scott at aitrus.org
Thu Mar 24 22:55:34 EDT 2011


Excon is at version 0.5.8 now, so my first suggestion is to run:

bundle update excon

And to report back if the issue persists.

Scott

On Mar 24, 2011, at 7:03 PM, Joshua Partogi wrote:

> Hi,
> 
> I am intermittently getting Excon::Errors::SocketError when using riak
> ruby client to add search index in riak search. Below is the stack
> trace
> vendor/ruby/1.9.1/gems/excon-0.5.6/lib/excon/connection.rb:111:in `write'
> vendor/ruby/1.9.1/gems/excon-0.5.6/lib/excon/connection.rb:111:in `request'
> vendor/ruby/1.9.1/bundler/gems/ripple-b81a5cc4b3a7/riak-client/lib/riak/client/excon_backend.rb:45:in
> `perform'
> vendor/ruby/1.9.1/bundler/gems/ripple-b81a5cc4b3a7/riak-client/lib/riak/client/http_backend/transport_methods.rb:97:in
> `post'
> vendor/ruby/1.9.1/bundler/gems/ripple-b81a5cc4b3a7/riak-client/lib/riak/search.rb:85:in
> `index'
> 
> What could be the possible problem and what should I look into to
> resolve this issue? Is this an issue with riak that is sometimes
> unavailable or is it an issue with the riak ruby client?
> 
> Thanks heaps for your assistance.
> 
> Kind regards,
> Joshua.
> 
> -- 
> http://twitter.com/jpartogi
> 
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com





More information about the riak-users mailing list